## minc 2.0.16

=== CMakeLists.txt ===
--- 
+++ 
@@ -77,7 +77,6 @@
    libsrc/image_conversion.c
    libsrc/minc_convenience.c
    libsrc/minc_error.c
-   libsrc/minc_globdef.c
    libsrc/nd_loop.c
    libsrc/netcdf_convenience.c
    libsrc/time_stamp.c
