## minc 2.0.18

=== CMakeLists.txt ===
--- 
+++ 
@@ -15,7 +15,7 @@
 SET(CPACK_GENERATOR TGZ)
 SET(CPACK_PACKAGE_VERSION_MAJOR 2)
 SET(CPACK_PACKAGE_VERSION_MINOR 0)
-SET(CPACK_PACKAGE_VERSION_PATCH 14)
+SET(CPACK_PACKAGE_VERSION_PATCH 17)
 INCLUDE(CPack)
