## minc 2.0.18+cvs20100518

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,8 @@
 # CMakeFiles.txt for the MINC2 library
 #
 # Andrew Janke - a.janke@gmail.com
+
+CMAKE_MINIMUM_REQUIRED(VERSION 2.6)
 
 PROJECT(libminc2)
