## minc 2.1.10

=== CMakeLists.txt ===
--- 
+++ 
@@ -16,8 +16,8 @@
 # Packaging defines
 SET(CPACK_GENERATOR TGZ)
 SET(CPACK_PACKAGE_VERSION_MAJOR 2)
-SET(CPACK_PACKAGE_VERSION_MINOR 0)
-SET(CPACK_PACKAGE_VERSION_PATCH 17)
+SET(CPACK_PACKAGE_VERSION_MINOR 1)
+SET(CPACK_PACKAGE_VERSION_PATCH 1)
 INCLUDE(CPack)
 
 
@@ -28,20 +28,20 @@
 SET(PACKAGE_VERSION "${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}.${CPACK_PACKAGE_VERSION_PATCH}")
 SET(PACKAGE_STRING "${PACKAGE_NAME} ${PACKAGE_VERSION}")
 
-
-# yes, build as minc2
-SET(MINC2 "1")
+OPTION(BUILD_MINC2      "Support minc2 file format" ON)
+OPTION(BUILD_TOOLS      "Build minc tools (mincreshape,mincresample, etc)" ON)
+OPTION(BUILD_CONVERTERS "Build minc conversion programs (mnc2nii, nii2mnc , dcm2mnc...)" ON)
+OPTION(BUILD_EZMINC     "Build C++ interface library EZminc" ON)
+IF(BUILD_EZMINC)
+OPTION(BUILD_MINC4ITK   "Build ITK interface" ON)
+ENDIF(BUILD_EZMINC)
+
+
 ADD_DEFINITIONS(-DHAVE_CONFIG_H)
 
 # aliases
 SET(VERSION "${PACKAGE_VERSION}")
 
-# progs needed to build
-#SET(FLEX_FIND_REQUIRED)
-#SET(BISON_FIND_REQUIRED)
-#FIND_PACKAGE(BISON)
-#FIND_PACKAGE(FLEX)
-
 # check for prereqs
 INCLUDE(CheckFunctionExists)
 
@@ -52,11 +52,15 @@
 CHECK_INCLUDE_FILES(float.h HAVE_FLOAT_H)
 
 # netcdf and HDF5
-SET(NETCDF_FIND_REQUIRED TRUE)
-SET(HDF5_FIND_REQUIRED TRUE)
-FIND_PACKAGE(HDF5)
-FIND_PACKAGE(NETCDF)
-INCLUDE_DIRECTORIES( ${NETCDF_INCLUDE_DIR} ${HDF5_INCLUDE_DIR} )
+FIND_PACKAGE(NETCDF REQUIRED)
+INCLUDE_DIRECTORIES( ${NETCDF_INCLUDE_DIR} )
+
+IF(BUILD_MINC2)
+  FIND_PACKAGE(HDF5 REQUIRED)
+  FIND_PACKAGE(ZLIB REQUIRED)
+  SET(MINC2 "1")
+  INCLUDE_DIRECTORIES( ${HDF5_INCLUDE_DIR} )
+ENDIF(BUILD_MINC2)
 
 # config files for build
 CONFIGURE_FILE(${CMAKE_SOURCE_DIR}/config.h.cmake ${CMAKE_SOURCE_DIR}/config.h)
@@ -68,9 +72,15 @@
 INCLUDE_DIRECTORIES(
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${CMAKE_SOURCE_DIR}/libsrc
+   ${CMAKE_SOURCE_DIR}/volume_io/Include
+   )
+
+IF(BUILD_MINC2)
+  INCLUDE_DIRECTORIES(
    ${CMAKE_SOURCE_DIR}/libsrc2
-   ${CMAKE_SOURCE_DIR}/volume_io/Include
-   )
+   )
+ENDIF(BUILD_MINC2)
+
 
 # some variables
 SET(minc1_LIB_SRCS
@@ -105,26 +115,56 @@
    libsrc2/volume.c
    )
 
+SET(minc_LIB minc)
+
+IF(BUILD_MINC2)
+  SET(minc_LIB_SRCS ${minc1_LIB_SRCS} ${minc2_LIB_SRCS})
+  SET(minc_LIB minc2)
+  ADD_LIBRARY(minc2 STATIC ${minc_LIB_SRCS} )
+
+  TARGET_LINK_LIBRARIES(minc2 ${NETCDF_LIBRARY} ${HDF5_LIBRARY} ${ZLIB_LIBRARIES} m )
+
+  INSTALL(TARGETS minc2 ARCHIVE DESTINATION lib)
+
+  INSTALL(FILES libsrc/minc.h libsrc/ParseArgv.h 
+    libsrc/voxel_loop.h 
+    libsrc/nd_loop.h
+    libsrc/time_stamp.h
+    libsrc/minc_compat.h
+    volume_io/Include/volume_io.h
+    libsrc2/minc2.h
+    libsrc/minc_simple.h
+    DESTINATION include
+    )
+
+  SET_TARGET_PROPERTIES(minc2 PROPERTIES VERSION ${PACKAGE_VERSION} SOVERSION ${CPACK_PACKAGE_VERSION_MAJOR})
+
+ELSE(BUILD_MINC2)
+
+    SET(minc_LIB_SRCS ${minc1_LIB_SRCS} )
+    SET(minc_LIB minc)
+    ADD_LIBRARY(minc STATIC ${minc1_LIB_SRCS} )
+    TARGET_LINK_LIBRARIES(minc ${NETCDF_LIBRARY} )
+    INSTALL(TARGETS minc ARCHIVE DESTINATION lib)
+
+    INSTALL(FILES libsrc/minc.h libsrc/ParseArgv.h 
+      libsrc/voxel_loop.h 
+      libsrc/nd_loop.h
+      libsrc/time_stamp.h
+      libsrc/minc_compat.h
+      volume_io/Include/volume_io.h
+      libsrc/minc_simple.h
+      DESTINATION include
+      )
+
+    SET_TARGET_PROPERTIES(minc PROPERTIES VERSION ${PACKAGE_VERSION} SOVERSION ${CPACK_PACKAGE_VERSION_MAJOR})
+
+ENDIF(BUILD_MINC2)
 
 # build the main minc2 library
-ADD_LIBRARY(minc2 STATIC ${minc1_LIB_SRCS} ${minc2_LIB_SRCS})
-INSTALL(TARGETS minc2 DESTINATION lib)
-INSTALL(FILES libsrc/minc.h libsrc/ParseArgv.h 
-   libsrc/voxel_loop.h 
-   libsrc/nd_loop.h
-   libsrc/time_stamp.h
-   libsrc/minc_compat.h
-   volume_io/Include/volume_io.h
-   libsrc2/minc2.h
-   libsrc/minc_simple.h
-   DESTINATION include
-   )
-
-SET_TARGET_PROPERTIES(minc2 PROPERTIES VERSION ${PACKAGE_VERSION} SOVERSION ${CPACK_PACKAGE_VERSION_MAJOR})
-
 
 # volume_io2
-SET(volume_io2_LIB_SRCS
+SET(volume_io_LIB_SRCS
    volume_io/Geometry/colour.c
    volume_io/Geometry/colour_def.c
    volume_io/Geometry/gaussian.c
@@ -161,9 +201,20 @@
    volume_io/Volumes/volumes.c
    )
 
-# build and install volume_io2 library
-ADD_LIBRARY(volume_io2 STATIC ${volume_io2_LIB_SRCS})
-INSTALL(TARGETS volume_io2 DESTINATION lib)
+IF(BUILD_MINC2)
+  # build and install volume_io2 library
+  ADD_LIBRARY(volume_io2 STATIC ${volume_io_LIB_SRCS})
+  INSTALL(TARGETS volume_io2 ARCHIVE DESTINATION lib)
+  SET_TARGET_PROPERTIES(volume_io2 PROPERTIES VERSION ${PACKAGE_VERSION} SOVERSION ${CPACK_PACKAGE_VERSION_MAJOR})
+  SET( volume_io_LIB volume_io2)
+
+ELSE(BUILD_MINC2)
+  ADD_LIBRARY(volume_io STATIC ${volume_io_LIB_SRCS})
+  INSTALL(TARGETS volume_io ARCHIVE DESTINATION lib)
+  SET_TARGET_PROPERTIES(volume_io PROPERTIES VERSION ${PACKAGE_VERSION} SOVERSION ${CPACK_PACKAGE_VERSION_MAJOR})
+  SET( volume_io_LIB volume_io)
+ENDIF(BUILD_MINC2)
+
 INSTALL(FILES volume_io/Include/volume_io/alloc.h
 	volume_io/Include/volume_io/arrays.h 
 	volume_io/Include/volume_io/basic.h 
@@ -182,13 +233,20 @@
 	volume_io/Include/volume_io/volume_cache.h
    DESTINATION include/volume_io)
 
-SET_TARGET_PROPERTIES(volume_io2 PROPERTIES VERSION ${PACKAGE_VERSION} SOVERSION ${CPACK_PACKAGE_VERSION_MAJOR})
-
-
+IF(BUILD_TOOLS)
 # now build the progs subdir
 ADD_SUBDIRECTORY( progs )
-
-
+ENDIF(BUILD_TOOLS)
+
+IF(BUILD_CONVERTERS)
 # and then the conversion subdir
 ADD_SUBDIRECTORY( conversion )
-
+ENDIF(BUILD_CONVERTERS)
+
+IF(BUILD_EZMINC)
+ADD_SUBDIRECTORY( ezminc )
+ENDIF(BUILD_EZMINC)
+
+IF(BUILD_MINC4ITK AND BUILD_EZMINC)
+ADD_SUBDIRECTORY( minc4itk )
+ENDIF(BUILD_MINC4ITK AND BUILD_EZMINC)
