=== debian/changelog ===
minc (2.1.10-1) unstable; urgency=low

  * New upstream.
  
  * patches/03_mincview.diff: Remove.  Script mincview rewritten to use
    Imagemagick
  
  * patches/decompress-whole-file.diff:
  * patches/read_file_names-refactor.patch: Remove.  Applied upstream.
  * rules: Remove use of dh_autoreconf.

  * patches/hdfv2-fixes.patch: New.  Ensure using HDF5 v2 API.
  
  * control: Remove dependency and build-dependency on csh.

 -- Steve M. Robbins <smr@debian.org>  Sun, 26 Feb 2012 01:37:47 -0600

minc (2.1.00-5) unstable; urgency=low

  * patches/mincaverage-pathmax.patch: Remove.
  * patches/read_file_names-refactor.patch: New.  Refactored duplicated
    PATH_MAX-using code into library.  Need to run autoreconf because
    Makefile.am changed.
  
  * rules: Fix errors and really disable tests on sparc.

 -- Steve M. Robbins <smr@debian.org>  Mon, 20 Feb 2012 15:00:32 -0600

minc (2.1.00-4) unstable; urgency=low

  * source/format: Set to 3.0 (quilt), so that patches are applied.
  
  * patches/mincaverage-pathmax.patch: New.  Work around missing PATH_MAX
    definition; fixes FTBFS on hurd.
  
  * rules: Tests are buggy, but do work on most architectures.  Disable on
    sparc.

 -- Steve M. Robbins <smr@debian.org>  Sun, 19 Feb 2012 21:58:51 -0600

minc (2.1.00-3) unstable; urgency=low

  * control: Switch to (serial) libhdf5-dev, to avoid conflict with serial
    netcdf.  Closes: #658307.
  
  * control:
  * rules: Switch from cdbs to debhelper's dh (compat level 9).

 -- Steve M. Robbins <smr@debian.org>  Sun, 19 Feb 2012 08:53:04 -0600

minc (2.1.00-2) unstable; urgency=low

  * patches/decompress-whole-file.diff: New.  Always decompress entire
    file to support compressed MINC2 files.  Closes: #585676.

 -- Steve M. Robbins <smr@debian.org>  Sun, 18 Dec 2011 20:47:03 -0600

minc (2.1.00-1) unstable; urgency=low

  * New upstream.

 -- Steve M. Robbins <smr@debian.org>  Tue, 17 Aug 2010 22:26:16 -0500

minc (2.0.18+cvs20100518-1) unstable; urgency=low

  * Pull upstream CVS, contains fixes for netcdf 4.  Closes: #577060,
    #581296.
  
  * control: replace libhdf5-*-dev (differing by architecture) by
    libhdf5-mpi-dev.

 -- Steve M. Robbins <smr@debian.org>  Tue, 18 May 2010 22:53:30 -0500

minc (2.0.18-1) unstable; urgency=low

  * New upstream version.

 -- Steve M. Robbins <smr@debian.org>  Mon, 20 Jul 2009 05:24:57 -0500

minc (2.0.17-1) unstable; urgency=low

  * New upstream version.

  * patches/04_manpages.diff:
  * debian/patches/05_parseargv.diff: Remove; applied upstream.
  
 -- Steve M. Robbins <smr@debian.org>  Tue, 20 Jan 2009 19:37:41 -0600

minc (2.0.16-4) unstable; urgency=low

  * debian/patches/05_parseargv.diff: New.  Patch from upstream to fix arg
    parsing on 64bits.  Closes: #510629.  This was also the root cause of
    mincheader and mincdiff failing.  Closes: #506276.
  
  * debian/control: Add ${misc:Depends}, since we use debhelper.
  
  * debian/rules: Do not install test code acr_test, dicom_test.

 -- Steve M. Robbins <smr@debian.org>  Sat, 03 Jan 2009 16:29:06 -0600

minc (2.0.16-3) unstable; urgency=low

  * debian/control: Extend previous fix from build-depends to libminc-dev
    depends; i.e. use OpenMPI, except for certain architectures that it
    doesn't support; in the latter case, use LAM.

 -- Steve M. Robbins <smr@debian.org>  Thu, 30 Oct 2008 01:10:55 -0500

minc (2.0.16-2) unstable; urgency=low

  * debian/control: Use OpenMPI, except for certain architectures that it
    doesn't support; in the latter case, use LAM.

 -- Steve M. Robbins <smr@debian.org>  Mon, 27 Oct 2008 01:11:21 -0500

minc (2.0.16-1) unstable; urgency=low

  * New upstream release.
    - debian/patches/02_mincedit-no-escape-chars: Remove.  Applied upstream.
  
  * debian/control: Switch dependencies from libhdf5-serial-dev to
    libhdf5-openmpi-dev.
  * debian/rules: Add CFLAGS=-I/usr/include/mpi to configure step so that
    mpi.h is found.

  * debian/control: Remove tetex-bin from build-depends (was alternative
    to texlive-latex-base).  Update Standards-Version to 3.8.0 (no
    changes).
  
  * debian/patches/04_manpages.diff: Fix errors in manpages, mainly
    removal of trailing TAB characters.
  
  * debian/rules: Adhere to parallel keyword in DEB_BUILD_OPTIONS.

 -- Steve M. Robbins <smr@debian.org>  Sat, 11 Oct 2008 23:55:42 -0500

minc (2.0.15-3) unstable; urgency=low

  [ Charles Plessy ]
  * debian/copyright: added upstream contact information.

  [ Steve M. Robbins ]
  * debian/patches/02_mincedit-no-escape-chars.diff: New.  Patch mincedit
    to remove extraneous \n strings.  Closes: 486048.
  * debian/control: Replace depends on netcdfg-dev by libnetcdf-dev.

 -- Steve M. Robbins <smr@debian.org>  Thu, 19 Jun 2008 07:40:18 -0500

minc (2.0.15-2) unstable; urgency=low

  [ David Paleino ]
  * debian/rules:
    - conditionally add -mieee on Alpha (Closes: #368263)
  
  [ Steve M. Robbins ]
  * debian/rules: Do not run the tests, since they are broken in many
    ways; e.g. int functions without a return statement, checking
    floating-point values without a tolerance, and some that require a
    list of files on the command line but are given none.  
    Closes: #475808.

 -- Steve M. Robbins <smr@debian.org>  Thu, 05 Jun 2008 09:24:59 -0500

minc (2.0.15-1) unstable; urgency=low

  [ Charles Plessy ]
  * Changed the doc-base section according to the new policy.

  [ David Paleino ]
  * New upstream release
  * debian/patches/:
    - 01_mincedit-sensible-viewer.diff updated
    - 02_testdir-runtests.diff removed, it has been merged upstream

 -- Steve M. Robbins <smr@debian.org>  Sat, 31 May 2008 05:53:26 -0500

minc (2.0.14-2) unstable; urgency=low

  * rules: Don't install byte_swap or extract; can use "dd" instead of
    these tools.  Closes: #459834.
  
  * control: Package minc-tools depends on libgetopt-tabular-perl.
  * rules: Don't install Tabular.pm.
  * Getopt-Tabular-0.3/Tabular.pm: Remove.
  * patches/04_progs-use-lib.diff: Remove.

